=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Contributor: csslayer <wengxt AT gmail com>

pkgname=fcitx5-m17n
pkgver=5.0.5
pkgrel=1
pkgdesc="m17n Wrapper for Fcitx5"
arch=('x86_64')
url="https://github.com/fcitx/fcitx5-m17n"
license=('GPL')
depends=('fcitx5' 'm17n-lib')
makedepends=('extra-cmake-modules')
source=("https://download.fcitx-im.org/fcitx5/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
sha512sums=('408f76e0be3102fbfade8e7e5826ea924609defd33892602a0ff15315985ea51d75009c1063357d4c6be4b1556becb8c609ad10adf37841e610013f0d37a6b2d'
            'SKIP')
validpgpkeys=('2CC8A0609AD2A479C65B6D5C8E8B898CBF2412F9') # Weng Xuetian <wengxt@gmail.com>

build(){
  cd $pkgname-$pkgver

  cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_LIBDIR=/usr/lib .
  make
}

package() {
  cd $pkgname-$pkgver
  make DESTDIR="$pkgdir" install
}
